# MixpanelProxyServerDelegate

    public protocol MixpanelProxyServerDelegate : AnyObject

Delegate protocol for updating the Proxy Server API’s network behavior.

- `mixpanelResourceForProxyServer(_:)`

  Asks the delegate to return API resource items like query params & headers for proxy Server.

  #### Declaration

  Swift

      func mixpanelResourceForProxyServer(_ name: String) -> ServerProxyResource?

  #### Parameters

  `mixpanel` | The mixpanel instance

  #### Return Value

  return ServerProxyResource to give custom headers and query params.

© 2026 Mixpanel. All rights reserved. (Last updated: 2026-03-17)

Generated by jazzy ♪♫ v0.15.4, a Realm project.